diff --git a/isisd/isis_tlvs.c b/isisd/isis_tlvs.c
index bb6bd3db8c80..00b0e9a2c0aa 100644
--- a/isisd/isis_tlvs.c
+++ b/isisd/isis_tlvs.c
@@ -1996,6 +1996,8 @@ static void isis_format_subsubtlvs(struct isis_subsubtlvs *subsubtlvs,
 			      struct sbuf *buf, struct json_object *json,
 			      int indent)
 {
+	format_subsubtlv_srv6_sid_structure(subsubtlvs->srv6_sid_structure, buf,
+					    json, indent);
 }
 
 static void isis_free_subsubtlvs(struct isis_subsubtlvs *subsubtlvs)
